CALIBREDB(1)

NAME
calibredb - calibredb

calibredb command [options] [arguments]

calibredb är kommandoradsgränssnittet till calibre-databasen. Det har flera underkommandon, dokumenterade nedan.

calibredb kan användas för att manipulera antingen en calibre-databas anges per sökväg eller en calibre-innehållsserver körs antingen på den lokala maskinen eller över internet. Du kan starta en calibre-Innehållsserver med antingen calibre-server programmet eller klicka på i calibre-huvudprogrammet Anslut/dela  → Starta innehållsserver. Eftersom calibredb kan göra ändringar i ditt calibre-bibliotek måste du först ställa in autentisering på servern. Det finns två sätt att göra det:

•   Om du planerar att bara ansluta till en server som körs på samma dator, kan du helt enkelt använda flaggan --enable-local-write av innehållsservern, så att alla program, inklusive calibredb, körs på den lokala datorn för att göra ändringar i dina calibre-data. När du kör servern från calibre-huvudprogrammet är det här alternativet i Inställningar → Dela via nätet → Avancerat.

•   Om du vill aktivera åtkomst via internet bör du ställa in användarkonton på servern och använda --username eller --password flaggorna för calibredb för att ge den åtkomst. Du kan ställa in användarautentisering för calibre server genom att använda --enable-auth flaggan och använda --manage-users för att skapa användarkonton. Om du kör servern från calibre-huvudprogrammet använder du Inställningar → Dela via nätet → Kräv användarnamn/lösenord.

    För att ansluta till en körande innehållsserver, skicka serverwebbadressen med flaggan --with-library, se dokumentationen för den flaggan för detaljer och exempel.

•   GLOBALA ALTERNATIV

•   list

•   add

•   TILLÄGGNING TILL FRÅN MAPPAR

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB ALTERNATIV

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

•   fts_index

•   fts_search

GLOBALA ALTERNATIV

--help, -h
    visa denna hjälptext och avsluta

--library-path, --with-library
    Sökväg till calibre-biblioteket. Standard är att använda sökvägen lagrad i inställningarna. Du kan också ansluta till en calibre-innehållsserver för att utföra åtgärder på fjärrbibliotek. Så här använder du en webbadress av formen: http://hostname:port/#bibliotek_id till exempel http://localhost:8080/#mittbibliotek. Bibliotek_id är bibliotekets identifierare för det bibliotek du vill ansluta till på innehållsservern. Du kan använda det speciella bibliotek_id-värdet för att få en lista över biblioteksidentifierare tillgängliga på servern. Mer information om hur du anpassar åtkomst via en innehållsserver finns i https://manual.calibre-ebook.com/sv/generated/sv/calibredb.html.

--password
    Lösenord för anslutning till en calibre-innehållsserver. För att läsa lösenordet från standardinmatning, använd specialvärdet: <stdin>. För att läsa lösenordet från en fil, använd: <f:/path/to/file> (d.v.s. <f: följt av hela sökvägen till filen och en efterföljande>). Vinkelparenteserna ovan är nödvändiga, kom ihåg att undkomma dem eller använd citattecken för ditt skal.

--timeout
    Tidsgränsen, i sekunder, när du ansluter till ett calibre-bibliotek via nätverket. Standard är två minuter.

--username
    Användarnamn för anslutning till en calibre-innehållsserver

--version
    visar programmets versionsnummer och avsluta

LIST

calibredb list [options]

Lista de böcker som finns i calibre-databasen.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--ascending
    Sortera resultaten i stigande ordning

--fields, -f
    Fälten som ska visas när böcker listar i databasen. Bör vara en kommaseparerad lista med fält. Tillgängliga fält: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Standard: title,authors. Specialfältet "alla" kan användas för att välja alla fält. Förutom de inbyggda fälten ovan är anpassade fält också tillgängliga som *field_name, till exempel för ett anpassat fält #rating, använd namnet: *rating

--for-machine
    Skapa utmatning i JSON-format, vilket är mer lämpat för maskintolkning. Resulterar i radbredd och avgränsningsalternativ att ignorera.

--limit
    Högsta antalet resultat att visa. Standard: alla

--line-width, -w
    Största bredd på en enskild rad i utmatning. Standardinställningen är att upptäcka skärmstorlek.

--prefix
    Prefixet för alla sökvägar. Standard är den absoluta sökvägen till biblioteksmappen.

--search, -s
    Filtrera resultat efter sökförfrågan. För information om sökformatet, se sökrelaterad dokumentation i användarmanualen. Standard är att inte filtrera.

--separator
    Sträng som används för att separera fält. Standard är blanksteg.

--sort-by
    Fältet efter vilket resultaten ska sorteras. Du kan ange flera fält genom att separera dem med kommatecken. Tillgängliga fält: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, template, timestamp, title, uuid Standard: id

--template
    Mallen som ska köras om "template" finns i fältlistan. Standard: Ingen

--template_file, -t
    Sökväg till en fil som innehåller mallen som ska köras om "template" finns i fältlistan. Standard: Ingen

--template_heading
    Rubrik till mallkolumnen. Standard: template. Det här alternativet ignoreras om alternativet --for-machine är inställt

ADD

calibredb add [options] file1 file2 file3 ...

Lägg till de angivna filerna som böcker i databasen. Du kan även ange mappar, se mapprelaterade alternativ nedan.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--authors, -a
    Ange författarna för den tillagda boken eller de tillagda böckerna

--automerge, -m
    Om böcker med liknande titlar och författare hittas, slå samman de inkommande formaten (filer) automatiskt med befintliga bokposter. Värdet "ignore" betyder att dubblettformat kasseras. Värdet "overwrite" betyder att dubblettformat i biblioteket skrivs över med de nyligen tillagda filerna. Värdet "new_record" betyder att dubblettformat placeras i en ny bokpost.

--cover, -c
    Sökväg till omslaget att använda för den tillagda boken

--duplicates, -d
    Lägg till böcker i databasen även om de redan finns. Jämförelse görs baserat på boktitlar och författare. Observera att alternativet --automerge har företräde.

--empty, -e
    Lägg till en tom bok (en bok utan format)

--identifier, -I
    Ange identifierare för den här boken, t.ex. -I asin:XXX -I isbn:YYY

--isbn, -i
    Ange ISBN för den tillagda boken eller de tillagda böckerna

--languages, -l
    En kommaseparerad lista med språk (bäst att använda ISO639-språkkoder, även om vissa språknamn kanske också känns igen)

--series, -s
    Ange serier för den tillagda boken eller de tillagda böckerna

--series-index, -S
    Ange serienummer för den tillagda boken eller de tillagda böckerna

--tags, -T
    Ange taggar i den tillagda boken eller de tillagda böckerna

--title, -t
    Ange namn på den tillagda boken eller de tillagda böckerna

  TILLÄGGNING TILL FRÅN MAPPAR

Alternativ för att anpassa tilläggning av böcker från mappar. Som standard läggs endast filer som har ändelser av kända e-boksfiltyper till.

--add
    Ett filnamnsmönster (glob), filer som matchar det här mönstret kommer att läggas till vid skanning av mappar efter filer, även om de inte är av en känd e-boksfiltyp. Kan anges flera gånger för flera mönster.

--ignore
    Ett filnamn (glob)-mönster, filer som matchar det här mönstret ignoreras vid skanning av mappar efter filer. Kan anges flera gånger för flera mönster. Till exempel: *.pdf ignorerar alla PDF-filer

--one-book-per-directory, -1
    Antag att varje mapp bara har en enda logisk bok och att alla filer i den är samma e-bok i olika format

--recurse, -r
    Bearbeta mappar rekursivt

REMOVE

calibredb remove ids

Ta bort böcker som identifierats av id från databasen. id:t ska vara en kommaseparerad lista med id-nummer (du kan få id-nummer med sökkommandot). Till exempel 23,34,57-85 (när du anger ett intervall, det sista numret i intervallet inkluderas inte).

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--permanent
    Använd inte Papperskorgen

ADD_FORMAT

calibredb add_format [options] id ebook_file

Lägg e-boken i ebook_file till tillgängliga format för den logiska boken som identifieras av id. Du kan få id genom att använda sökkommandot. Om formatet redan finns ersätts det, såvida inte ersätt inte flaggan anges.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--dont-replace
    Ersätt inte formatet om det redan finns

REMOVE_FORMAT

calibredb remove_format [options] id fmt

Ta bort formatet fmt från den logiska boken identifierad med hjälp av id. Du kan få id med sökkommandot. fmt bör vara en filändelse som LRF eller TXT eller EPUB. Om den logiska boken inte har fmt tillgängligt, görs inget.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [options] id

Visa metadata lagrade i calibre-databasen för boken identifierad av id. id är ett id-nummer från sökkommandot.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--as-opf
    Skriv metadata i OPF-form (XML)

SET_METADATA

calibredb set_metadata [options] book_id [/path/to/metadata.opf]

Ställ in metadata som lagras i calibre-databasen för den bok som identifieras med book_id från OPF-filen metadata.opf. book_id är ett bok-id-nummer från sökkommandot. Du kan få en snabb känsla för OPF-formatet genom att använda omkopplaren --as-opf till kommandot show_metadata. Du kan också ställa in metadata för enskilda fält med flaggan --field. Om du använder flaggan --field behöver du inte ange en OPF-fil.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--field, -f
    Fältet för att ställa in. Format är field_name:value, till exempel: --field tags:tag1,tag2. Använd --list-fields för att få en lista över alla fältnamn. Du kan ange det här alternativet flera gånger för att ställa in flera fält. Observera: För språk du måste använda ISO639-språkkoder (t.ex. en för engelska, fr för franska och så vidare). För identifierare, är syntaxen --field identifiers:isbn:XXXX,doi:YYYYY. För boolean (ja/nej) fält använder sann och falsk eller ja och nej.

--list-fields, -l
    Ange namn på metadatafälten som kan användas med flaggan --field

EXPORT

calibredb export [options] ids

Exportera böckerna som anges av identifierare (en kommaseparerad lista) till filsystemet. Exporten sparar alla format av boken, dess omslag och metadata (i en OPF-fil). Du kan få id-nummer från sökkommandot.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--all
    Exportera alla böcker i databasen och ignorera listan med identifierare.

--dont-asciiize
    Låt calibre konvertera alla icke-engelska tecken till engelska ekvivalenter för filnamn. Detta är användbart om du sparar i ett äldre filsystem utan fullt stöd för Unicode-filnamn. Om denna växel aktiveras, kommer detta beteende att stängas av.

--dont-save-cover
    Normalt sparar calibre omslaget i en separat fil tillsammans med själva e-bokfilerna. Om denna växel aktiveras, kommer detta beteende att stängas av.

--dont-update-metadata
    Normalt kommer calibre att uppdatera metadata i de sparade filerna utifrån det som finns i calibre-biblioteket. Detta gör att filerna sparas långsammare till disken. Om denna växel aktiveras, kommer detta beteende att stängas av.

--dont-write-opf
    Normalt kommer calibre att skriva metadata i en separat OPF-fil tillsammans med själva e-bokfilerna. Om denna växel aktiveras, kommer detta beteende att stängas av.

--formats
    Kommaseparerad lista med format att spara för varje bok. Som standard sparas alla tillgängliga format.

--progress
    Rapportera förlopp

--replace-whitespace
    Ersätt "whitespace" med understreck.

--single-dir
    Exportera alla böcker till en enda mapp

--template
    Mallen för att anpassa filnamn och mappstruktur för de sparade filerna. Standard är "{author_sort}/{title}/{title} - {authors}" vilket sparar böcker i en undermapp per författare med filnamn bestående av titel och författare. Tillgängliga kontroller är: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    Format för datumvisning. %d - dag, %b - månad, %m - månadsnummer, %Y - år. Standard är: %b, %Y

--to-dir
    Exportera böcker till den angivna mappen. Standard är .

--to-lowercase
    Konvertera sökvägar till gemener.

CATALOG

calibredb catalog /path/to/destination.(csv|epub|mobi|xml...) [options]

Export a catalog in format specified by path/to/destination extension. Options control how entries are displayed in the generated catalog output. Note that different catalog formats support different sets of options. To see the different options, specify the name of the output file and then the --help option.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--ids, -i
    Kommaseparerad lista över databas-ID till katalogen. Om de deklareras, ignoreras --search. Standard: alla

--search, -s
    Filtrera resultat efter sökförfrågan. För information om sökformatet, se sökrelaterad dokumentation i användarmanualen. Standard: Ingen filtrering

--verbose, -v
    Visa detaljerad utmatningsinformation. Användbart för felsökning

  EPUB ALTERNATIV

--catalog-title
    Titel på den skapade katalogen som används som titel i metadata. Standard: 'My Books' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--cross-reference-authors
    Skapa korsreferenser i författarsektionen för böcker med flera författare. Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--debug-pipeline
    Spara utmatning från olika stadier av konverteringsprocessen till den angivna mappen. Användbart om du är osäker på i vilket skede av konverteringsprocessen ett problem inträffar. Standard: 'None' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--exclude-genre
    Regex beskriver taggar som ska exkluderas som genrer Standard: '[.+]|^+$' exkluderar parentestaggar, t.ex. '[Project Gutenberg]', och '+', standard-tagg för lästa böcker. Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--exclusion-rules
    Anger de regler som används för att exkludera böcker från den skapade katalogen. Modellen för en undantagsregel är antingen ('<regel namn>','Taggar','<komma-separerad lista med taggar>') eller ('<regel namn>','<anpassad column>','<mönster>'). Till exempel: (("Arkiverade böcker", "# status", "Arkiverade"),) kommer att exkludera en bok med ett värde på "status" "Arkiverat" i den anpassade kolumnen. När flera regler är definierade, kommer alla regler tillämpas. Standard: "(('Catalogs','Tags','Catalog'),)" Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--generate-authors
    Inkludera 'Författar' sektion i katalogen. Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--generate-descriptions
    Inkludera sektionen 'Beskrivningar' i katalogen. Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--generate-genres
    Inkludera sektionen 'Genrer' i katalogen. Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--generate-recently-added
    Inkludera sektioen 'Nyligen tillagda' i katalogen. Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--generate-series
    Inkludera sektioen 'Serier' i katalogen Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--generate-titles
    Inkludera sektionen 'Titlar' i katalogen. Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--genre-source-field
    Källfältet för "Genrer" sektion. Standard: 'Taggar' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--header-note-source-field
    Anpassat fält innehåller anmärkningstext att infoga i beskrivningsrubrik. Standard: '' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] anger: <custom field> Anpassat fält innehåller anteckningar att slå samman med kommentarer [before|after] Placering av anteckningar med avseende på kommentarer [True|False] - En horisontell linje infogas mellan anteckningar och kommentarer Standard: '::' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--output-profile
    Anger utmatningsprofilen. I vissa fall krävs en utmatningsprofil för att optimera katalogen för enheten. Till exempel skapar "kindle" eller "kindle_dx" en strukturerad innehållsförteckning med avsnitt och artiklar. Standard: 'None' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--prefix-rules
    Anger de regler som används för att inkludera prefix som indikerar lästa böcker, önskelistsposter och andra användardefinierade prefix. Modellen för en prefixregel är ('<rule name>','<source field>','<pattern>','<prefix>'). När flera regler är definierade, kommer den första matchande regeln användas. Standard: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--preset
    Använd en namngiven förinställning skapas med GUI Catalog Builder. En förinställning specificerar alla inställningar för att bygga en katalog. Standard: 'None' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--thumb-width
    Storleksråd (i tum) för bokomslag i katalog. Intervall: 1.0 - 2.0 Standard: '1.0' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

--use-existing-cover
    Ersätt befintliga omslag när du skapar katalog. Standard: 'False' Gäller: AZW3-, EPUB-, MOBI-utmatningsformat

SAVED_SEARCHES

calibredb saved_searches [options] (list|add|remove)

Hantera sparade sökningar i den här databasen. Om du försöker lägga till en förfrågan med ett namn som redan finns, kommer den att ersättas.

Syntax för att lägga till:

calibredb saved_searches add search_name search_expression

Syntax för att ta bort:

calibredb saved_searches remove search_name

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [options] label name datatype

Skapa en anpassad kolumn. label är det maskinvänliga namnet på kolumnen. Får inte innehålla blanksteg eller kolon. name är det människovänliga namnet på kolumnen. datatype är en av: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--display
    En ordbok med alternativ för att anpassa hur data i den här kolumnen ska tolkas. Det här är en JSON-sträng. För uppräkningskolumner, använd --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Det finns många alternativ som kan gå in i visningsvariabel. Alternativen per kolumntyp är: composite: composite_template, composite_sort, make_category,contains_html, use_decorations datetime: date_format enumeration: enum_values, enum_colors, use_decorations int, float: number_format text: is_names, use_decorations Det bästa sättet att hitta giltiga kombinationer är att skapa en anpassad kolumn av lämplig typ i gränssnittet och sedan titta på OPF-säkerhetskopian för en bok (se till att en ny OPF har skapats sedan kolumnen lades till). Du kommer att se JSON för "visningen" av den nya kolumnen i OPF.

--is-multiple
    Denna kolumn lagrar taggar som data (d.v.s. flera kommaseparerade värden). Gäller endast om datatypen är text.

CUSTOM_COLUMNS

calibredb custom_columns [options]

Lista anpassade kolumner. Visar kolumnnamn och identifierare.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--details, -d
    Visa detaljer för varje kolumn.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [options] label

Ta bort den anpassade kolumnen som identifieras med etikett. Du kan se tillgängliga kolumner med kommandot custom_columns.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--force, -f
    Fråga inte efter bekräftelse

SET_CUSTOM

calibredb set_custom [options] column id value

Ställ in värdet på en anpassad kolumn för boken som identifieras av identifierare. Du kan få en lista med id med hjälp av sökkommandot. Du kan få en lista med anpassade kolumnnamn med hjälp av custom_columns kommando.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--append, -a
    Om kolumnen lagrar flera värden, lägg till de angivna värdena till de befintliga i stället för att ersätta dem.

RESTORE_DATABASE

calibredb restore_database [options]

Återställ denna databas från metadata som lagras i OPF-filer i varje mapp i calibre-biblioteket. Det här är användbart om din metadata.db-fil har skadats.

VARNING: Det här kommandot återskapar din databas hlet. Du förlorar alla sparade sökningar, användarkategorier, pluggbrädor, lagrade konverterings inställningar per bok och anpassade recept. Återställda metadata är bara så exakta som det som finns i OPF-filerna.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--really-do-it, -r
    Verkligen gör återställningen. Kommandot kommer inte köras om det här alternativet har angetts.

CHECK_LIBRARY

calibredb check_library [options]

Utföra vissa kontroller av filsystemet som representerar ett bibliotek. Rapporter är invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--csv, -c
    Utmatning i CSV

--ignore_extensions, -e
    Kommaseparerad lista över tillägg att ignorera. Standard: alla

--ignore_names, -n
    Kommaseparerad lista över namn att ignorera. Standard: Alla

--report, -r
    Kommaseparerad lista över rapporter. Standard: Alla

--vacuum-fts-db
    Rensa heltextsökningsdatabasen. Detta kan vara mycket långsamt och minneskrävande, beroende på databasens storlek.

LIST_CATEGORIES

calibredb list_categories [options]

Skapa en rapport om kategoriinformationen i databasen. Informationen motsvarar vad som visas i taggbläddraren.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--categories, -r
    Kommaseparerad lista över kategoriuppslagsnamn. Standard: Alla

--csv, -c
    Utmatning i CSV

--dialect
    Den typ av CSV-fil som ska produceras. Val: excel, excel-tab, unix

--item_count, -i
    Mata endast ut antalet poster i en kategori istället för antalet per post inom kategorin

--width, -w
    Största bredd på en enskild rad i utmatning. Standardinställningen är att upptäcka skärmstorlek.

BACKUP_METADATA

calibredb backup_metadata [options]

Säkerhetskopiera metadata som lagras i databasen inuti individuella OPF-filer i varje bokmapp. Det här sker normalt automatiskt, men du kan köra det här kommando för att tvinga nyskapande av OPF-filer med flaggan --all.

Observera att det är normalt ingen anledning att göra det här, eftersom OPF-filerna säkerhetskopieras automatiskt varje gång metadata ändras.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--all
    Normalt fungerar det här kommandot endast på böcker som har inaktuella OPF-filer. Det här alternativet gör att det fungerar på alla böcker.

CLONE

calibredb clone sökväg/till/nytt/bibliotek

Skapa en klon av det aktuella biblioteket. Det här skapar ett nytt, tomt bibliotek som har alla samma anpassade kolumner, virtuella bibliotek och andra inställningar som det aktuella biblioteket.

Det klonade biblioteket kommer inte att innehålla några böcker. Om du vill skapa en fullständig dubblett, inklusive alla böcker, använd helt enkelt dina filsystemverktyg för att kopiera biblioteksmappen.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

EMBED_METADATA

calibredb embed_metadata [options] book_id

Uppdatera metadata i själva bokfilerna som är lagrade i calibre-biblioteket från metadata i calibre-databasen. Normalt uppdateras metadata endast vid export av filer från calibre, det här kommandot är användbart om du vill att filerna ska uppdateras på plats. Observera att olika filformat stöder olika mängder metadata. Du kan använda specialvärdet 'all' för book_id för att uppdatera metadata i alla böcker. Du kan också ange många bokidentifierare åtskilda med blanksteg och id-intervall åtskilda med bindestreck. Till exempel: calibredb embed_metadata 1 2 10-15 23

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--only-formats, -f
    Uppdatera bara metadata i filer för ett särskilt format. Specificera det flera gånger för flera format. Som standard kommer alla format uppdateras.

SEARCH

calibredb search [options] sökuttryck

Sök i biblioteket efter den angivna söktermen och returnera en kommaseparerad lista med bokidentifierare som matchar sökuttrycket. Utmatningsformatet är användbart för att mata in andra kommandon som accepterar en lista med identifierare som inmatning.

Sökuttrycket kan vara vad som helst från calibres kraftfulla sökfrågespråk, till exempel: calibredb search author:asimov 'title:"i robot"'

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--limit, -l
    Högsta antalet resultat att returnera. Standard är alla resultat.

FTS_INDEX

calibredb fts_index [options] enable/disable/status/reindex

Kontrollera indexeringsprocessen för heltextsökning.

enable
    Aktiverar FTS-indexering för det här biblioteket

disable
    Inaktiverar av FTS-indexering för det här biblioteket

status
    Visar aktuell indexeringsstatus

reindex
    Kan användas för att återindexera antingen vissa böcker eller hela biblioteket. För att återindexera vissa böcker, specificera bok-id:n som ytterligare argument efter kommandot reindex. Om inga bokidentifierare anges återindexeras hela biblioteket.

    När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--indexing-speed
    Indexeringshastigheten. Använd snabb för snabb indexering med alla dina datorresurser och långsam för mindre resurskrävande indexering. Observera att hastigheten återställs till långsam efter varje anrop.

--wait-for-completion
    Vänta tills alla böcker har indexerats och visar indexeringsförlopp med jämna mellanrum

FTS_SEARCH

calibredb fts_search [options] sökuttryck

Gör en heltextsökning på hela biblioteket eller en delmängd av det.

När du skickar argument till calibredb som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

--do-not-match-on-related-words
    Matcha endast på exakta ord, inte relaterade ord. Så korrigering kommer inte att matcha korrigering.

--include-snippets
    Inkludera kodavsnitt som omger varje matchning. Observera att detta gör sökningen mycket långsammare.

--indexing-threshold
    Hur mycket av biblioteket som måste indexeras innan sökning är tillåten, i procent. Standard är 90

--match-end-marker
    Markören som används för att indikera slutet på ett matchat ord i ett kodavsnitt

--match-start-marker
    Markören som används för att indikera början på ett matchat ord i ett kodavsnitt

--output-format
    Formatet att mata ut sökresultaten i. Antingen "text" för vanlig text eller "json" för JSON-utmatning.

--restrict-to
    Begränsa de sökta böckerna, antingen med ett sökuttryck eller identifierare. Till exempel: ids:1,2,3 för att begränsa med id eller search:tag:foo för att begränsa till böcker med taggen foo.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal